Summary: Perl interface to pseudo tty's
Name: perl-IO-Tty
Version: 1.20
Release: 1%{?dist}
License: (GPL-1.0-or-later OR Artistic-1.0-Perl) AND BSD-2-Clause
Group: Development/Libraries
URL: https://metacpan.org/release/IO-Tty
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://cpan.metacpan.org/modules/by-module/IO/IO-Tty-%{version}.tar.gz
BuildRequires: perl-devel
BuildRequires: perl-generators
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(Carp)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(POSIX)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl(Test::More)
# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
IO::Tty and IO::Pty provide an interface to pseudo tty's.

%prep
%setup -q -n IO-Tty-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%{__make}

%install
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f \( -name perllocal.pod -o -name "*.bs" -o -name .packlist \) -exec %{__rm} -f {} \;
%{__chmod} -R u+w %{buildroot}/*
find %{buildroot} -type f -name "*.pm" -exec %{__chmod} -x {} \;

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorarch}/IO/
%{perl_vendorarch}/auto/IO/
%doc %{_mandir}/man3/*.3pm*
%doc ChangeLog README

%changelog
* Wed Mar 06 2024 Simon Matter <simon.matter@invoca.ch> 1.20-1
- initial package
